/**
   This program tests the Parse parser.






*/

public class TestPrefix1
{
   public static void main(String[] args)
   {
      String prefix[] =
            // prefix notation        // parenthesized infix notation
          { "+ 2 * 3 4",              // 2 + 3 * 4
            "* + 2 3 4",              // (2 + 3) * 4
            "+ - 2 3 4",              // 2 - 3 + 4
            "- 2 + 3 4",              // 2 - (3 + 4)
            "neg ^ 2 3",              // -2^3
            "^ neg 2 3",              // (-2)^3
            "/ + neg 5 sqrt - ^ 5 2 * * 4 11 12 * 2 11",
            "^ 3 4 * 7 8",            // syntax error (at *)
            "+ ^ 3 4 * 7",            // syntax error (at end)
            "+ ^ 3 4 @ 7 8",          // syntax error (at @)
            "+ ^ 3 4 * 7 x",          // syntax error (at x)
            "+ ^ 3 4 * 7 neg"         // syntax error (at end)
          };


      for (int i = 0; i < prefix.length; i++)
      {
         System.out.println( prefix[i] );
         try
         {
            Parse.parse( prefix[i] );
            System.out.println("Parsed OK.\n");
         }
         catch (Exception e)
         {
            System.out.println(e + "\n");
          //e.printStackTrace();
         }
      }
   }//main()

}//TestPrefix1
