/**
   Do a pre-order traversal of the tree.
*/

public class Tree2PreOrder
{
   /**
      Return a preorder traversal of the tree.
   */
   public static String preOrder(Tree tree)
   {
      String result = "";

      result += tree.getElement() + " ";

      for (int i = 0; i < tree.degree(); i++)
      {
         result += preOrder( tree.getSubTree(i) );
      }

      return result;
   }

}//Tree2PreOrder
