/**
   This program tests the Parse parser.






*/

public class TestPostfix1
{
   public static void main(String[] args)
   {
      String postfix[] =
            // postfix notation       // parenthesized infix notation
          { "2 3 4 * +",              // 2 + 3 * 4
            "2 3 + 4 *",              // (2 + 3) * 4
            "2 3 - 4 +",              // 2 - 3 + 4
            "2 3 4 + -",              // 2 - (3 + 4)
            "2 3 ^ neg",              // -2^3
            "2 neg 3 ^",              // (-2)^3
            "5 neg 5 2 ^ 4 11 * 12 * - sqrt + 2 11 * /",
            "3 4 ^ 7 8 *",            // syntax error (at end)
            "3 4 ^ 7 * +",            // syntax error (at +)
            "3 4 ^ 7 8 @ +",          // syntax error (at @)
            "3 4 ^ 7 x * +",          // syntax error (at x)
            "3 4 ^ 7 8 * neg"         // syntax error (at end)
          };


      for (int i = 0; i < postfix.length; i++)
      {
         System.out.println( postfix[i] );
         try
         {
            Parse.parse( postfix[i] );
            System.out.println("Parsed OK.\n");
         }
         catch (Exception e)
         {
            System.out.println(e + "\n");
          //e.printStackTrace();
         }
      }
   }//main()

}//TestPostfix1
