/**
   Do a post-order traversal of the tree.
*/

public class Tree2PostOrder
{
   /**
      Return a postorder traversal of the tree.
   */
   public static String postOrder(Tree tree)
   {
      String result = "";

      for (int i = 0; i < tree.degree(); i++)
      {
         result += postOrder( tree.getSubTree(i) );
      }

      result += tree.getElement() + " ";

      return result;
   }

}//Tree2PostOrder
